# NetworkLoadBalancersApi

## NetworkLoadBalancersApi

All URIs are relative to *<https://api.ionos.com/cloudapi/v6>*

| Method                                                                                                                                                                 | HTTP request                                                                                                           | Description                             |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------- | --------------------------------------- |
| [**datacenters\_networkloadbalancers\_delete**](#datacenters_networkloadbalancers_delete)                                                                              | **DELETE** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}                                    | Delete Network Load Balancers           |
| [**datacenters\_networkloadbalancers\_find\_by\_network\_load\_balancer\_id**](#datacenters_networkloadbalancers_find_by_network_load_balancer_id)                     | **GET** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}                                       | Retrieve Network Load Balancers         |
| [**datacenters\_networkloadbalancers\_flowlogs\_delete**](#datacenters_networkloadbalancers_flowlogs_delete)                                                           | **DELETE** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}/flowlogs/{flowLogId}               | Delete NLB Flow Logs                    |
| [**datacenters\_networkloadbalancers\_flowlogs\_find\_by\_flow\_log\_id**](#datacenters_networkloadbalancers_flowlogs_find_by_flow_log_id)                             | **GET** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}/flowlogs/{flowLogId}                  | Retrieve NLB Flow Logs                  |
| [**datacenters\_networkloadbalancers\_flowlogs\_get**](#datacenters_networkloadbalancers_flowlogs_get)                                                                 | **GET** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}/flowlogs                              | List NLB Flow Logs                      |
| [**datacenters\_networkloadbalancers\_flowlogs\_patch**](#datacenters_networkloadbalancers_flowlogs_patch)                                                             | **PATCH** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}/flowlogs/{flowLogId}                | Partially modify NLB Flow Logs          |
| [**datacenters\_networkloadbalancers\_flowlogs\_post**](#datacenters_networkloadbalancers_flowlogs_post)                                                               | **POST** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}/flowlogs                             | Create a NLB Flow Log                   |
| [**datacenters\_networkloadbalancers\_flowlogs\_put**](#datacenters_networkloadbalancers_flowlogs_put)                                                                 | **PUT** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}/flowlogs/{flowLogId}                  | Modify NLB Flow Logs                    |
| [**datacenters\_networkloadbalancers\_forwardingrules\_delete**](#datacenters_networkloadbalancers_forwardingrules_delete)                                             | **DELETE** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}/forwardingrules/{forwardingRuleId} | Delete NLB forwarding rules             |
| [**datacenters\_networkloadbalancers\_forwardingrules\_find\_by\_forwarding\_rule\_id**](#datacenters_networkloadbalancers_forwardingrules_find_by_forwarding_rule_id) | **GET** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}/forwardingrules/{forwardingRuleId}    | Retrieve NLB forwarding rules           |
| [**datacenters\_networkloadbalancers\_forwardingrules\_get**](#datacenters_networkloadbalancers_forwardingrules_get)                                                   | **GET** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}/forwardingrules                       | List NLB forwarding rules               |
| [**datacenters\_networkloadbalancers\_forwardingrules\_patch**](#datacenters_networkloadbalancers_forwardingrules_patch)                                               | **PATCH** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}/forwardingrules/{forwardingRuleId}  | Partially modify NLB forwarding rules   |
| [**datacenters\_networkloadbalancers\_forwardingrules\_post**](#datacenters_networkloadbalancers_forwardingrules_post)                                                 | **POST** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}/forwardingrules                      | Create a NLB Forwarding Rule            |
| [**datacenters\_networkloadbalancers\_forwardingrules\_put**](#datacenters_networkloadbalancers_forwardingrules_put)                                                   | **PUT** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}/forwardingrules/{forwardingRuleId}    | Modify NLB forwarding rules             |
| [**datacenters\_networkloadbalancers\_get**](#datacenters_networkloadbalancers_get)                                                                                    | **GET** /datacenters/{datacenterId}/networkloadbalancers                                                               | List Network Load Balancers             |
| [**datacenters\_networkloadbalancers\_patch**](#datacenters_networkloadbalancers_patch)                                                                                | **PATCH** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}                                     | Partially modify Network Load Balancers |
| [**datacenters\_networkloadbalancers\_post**](#datacenters_networkloadbalancers_post)                                                                                  | **POST** /datacenters/{datacenterId}/networkloadbalancers                                                              | Create a Network Load Balancer          |
| [**datacenters\_networkloadbalancers\_put**](#datacenters_networkloadbalancers_put)                                                                                    | **PUT** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}                                       | Modify Network Load Balancers           |

## **datacenters\_networkloadbalancers\_delete**

> datacenters\_networkloadbalancers\_delete(datacenter\_id, network\_load\_balancer\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Delete Network Load Balancers

Remove the specified Network Load Balancer from the data center.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.NetworkLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    network_load_balancer_id = 'network_load_balancer_id_example' # str | The unique ID of the Network Load Balancer.
    try:
        # Delete Network Load Balancers
        api_instance.datacenters_networkloadbalancers_delete(datacenter_id, network_load_balancer_id)
    except ApiException as e:
        print('Exception when calling NetworkLoadBalancersApi.datacenters_networkloadbalancers_delete: %s\n' % e)
```

#### Parameters

| Name                            | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ------------------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**              | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **network\_load\_balancer\_id** | **str**  | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **pretty**                      | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                       | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**         | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

void (empty response body)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_networkloadbalancers\_find\_by\_network\_load\_balancer\_id**

> NetworkLoadBalancer datacenters\_networkloadbalancers\_find\_by\_network\_load\_balancer\_id(datacenter\_id, network\_load\_balancer\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Retrieve Network Load Balancers

Retrieve the properties of the specified Network Load Balancer within the data center.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.NetworkLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    network_load_balancer_id = 'network_load_balancer_id_example' # str | The unique ID of the Network Load Balancer.
    try:
        # Retrieve Network Load Balancers
        api_response = api_instance.datacenters_networkloadbalancers_find_by_network_load_balancer_id(datacenter_id, network_load_balancer_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling NetworkLoadBalancersApi.datacenters_networkloadbalancers_find_by_network_load_balancer_id: %s\n' % e)
```

#### Parameters

| Name                            | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ------------------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**              | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **network\_load\_balancer\_id** | **str**  | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **pretty**                      | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                       | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**         | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**NetworkLoadBalancer**](/python-sdk/models/networkloadbalancer.md)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_networkloadbalancers\_flowlogs\_delete**

> datacenters\_networkloadbalancers\_flowlogs\_delete(datacenter\_id, network\_load\_balancer\_id, flow\_log\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Delete NLB Flow Logs

Delete the specified Network Load Balancer Flow Log.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.NetworkLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    network_load_balancer_id = 'network_load_balancer_id_example' # str | The unique ID of the Network Load Balancer.
    flow_log_id = 'flow_log_id_example' # str | The unique ID of the Flow Log.
    try:
        # Delete NLB Flow Logs
        api_instance.datacenters_networkloadbalancers_flowlogs_delete(datacenter_id, network_load_balancer_id, flow_log_id)
    except ApiException as e:
        print('Exception when calling NetworkLoadBalancersApi.datacenters_networkloadbalancers_flowlogs_delete: %s\n' % e)
```

#### Parameters

| Name                            | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ------------------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**              | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **network\_load\_balancer\_id** | **str**  | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **flow\_log\_id**               | **str**  | The unique ID of the Flow Log.                                                                                                                                                                                                                                                                                                                                                                                                           |                                |
| **pretty**                      | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                       | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**         | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

void (empty response body)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_networkloadbalancers\_flowlogs\_find\_by\_flow\_log\_id**

> FlowLog datacenters\_networkloadbalancers\_flowlogs\_find\_by\_flow\_log\_id(datacenter\_id, network\_load\_balancer\_id, flow\_log\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Retrieve NLB Flow Logs

Retrieve the specified Network Load Balancer Flow Log.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.NetworkLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    network_load_balancer_id = 'network_load_balancer_id_example' # str | The unique ID of the Network Load Balancer.
    flow_log_id = 'flow_log_id_example' # str | The unique ID of the Flow Log.
    try:
        # Retrieve NLB Flow Logs
        api_response = api_instance.datacenters_networkloadbalancers_flowlogs_find_by_flow_log_id(datacenter_id, network_load_balancer_id, flow_log_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling NetworkLoadBalancersApi.datacenters_networkloadbalancers_flowlogs_find_by_flow_log_id: %s\n' % e)
```

#### Parameters

| Name                            | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ------------------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**              | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **network\_load\_balancer\_id** | **str**  | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **flow\_log\_id**               | **str**  | The unique ID of the Flow Log.                                                                                                                                                                                                                                                                                                                                                                                                           |                                |
| **pretty**                      | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                       | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**         | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**FlowLog**](/python-sdk/models/flowlog.md)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_networkloadbalancers\_flowlogs\_get**

> FlowLogs datacenters\_networkloadbalancers\_flowlogs\_get(datacenter\_id, network\_load\_balancer\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

List NLB Flow Logs

List all the Flow Logs for the specified Network Load Balancer.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.NetworkLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    network_load_balancer_id = 'network_load_balancer_id_example' # str | The unique ID of the Network Load Balancer.
    try:
        # List NLB Flow Logs
        api_response = api_instance.datacenters_networkloadbalancers_flowlogs_get(datacenter_id, network_load_balancer_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling NetworkLoadBalancersApi.datacenters_networkloadbalancers_flowlogs_get: %s\n' % e)
```

#### Parameters

| Name                            | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ------------------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**              | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **network\_load\_balancer\_id** | **str**  | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **pretty**                      | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                       | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**         | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**FlowLogs**](/python-sdk/models/flowlogs.md)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_networkloadbalancers\_flowlogs\_patch**

> FlowLog datacenters\_networkloadbalancers\_flowlogs\_patch(datacenter\_id, network\_load\_balancer\_id, flow\_log\_id, network\_load\_balancer\_flow\_log\_properties, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Partially modify NLB Flow Logs

Update the properties of the specified Network Load Balancer Flow Log.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.NetworkLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    network_load_balancer_id = 'network_load_balancer_id_example' # str | The unique ID of the Network Load Balancer.
    flow_log_id = 'flow_log_id_example' # str | The unique ID of the Flow Log.
    network_load_balancer_flow_log_properties = ionoscloud.FlowLogProperties() # FlowLogProperties | The properties of the Flow Log to be updated.
    try:
        # Partially modify NLB Flow Logs
        api_response = api_instance.datacenters_networkloadbalancers_flowlogs_patch(datacenter_id, network_load_balancer_id, flow_log_id, network_load_balancer_flow_log_properties)
        print(api_response)
    except ApiException as e:
        print('Exception when calling NetworkLoadBalancersApi.datacenters_networkloadbalancers_flowlogs_patch: %s\n' % e)
```

#### Parameters

| Name                                               | Type                                                             | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| -------------------------------------------------- | ---------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**                                 | **str**                                                          | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **network\_load\_balancer\_id**                    | **str**                                                          | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **flow\_log\_id**                                  | **str**                                                          | The unique ID of the Flow Log.                                                                                                                                                                                                                                                                                                                                                                                                           |                                |
| **network\_load\_balancer\_flow\_log\_properties** | [**FlowLogProperties**](/python-sdk/models/flowlogproperties.md) | The properties of the Flow Log to be updated.                                                                                                                                                                                                                                                                                                                                                                                            |                                |
| **pretty**                                         | **bool**                                                         | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                                          | **int**                                                          | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**                            | **int**                                                          | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**FlowLog**](/python-sdk/models/flowlog.md)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_networkloadbalancers\_flowlogs\_post**

> FlowLog datacenters\_networkloadbalancers\_flowlogs\_post(datacenter\_id, network\_load\_balancer\_id, network\_load\_balancer\_flow\_log, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Create a NLB Flow Log

Adds a new Flow Log for the Network Load Balancer.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.NetworkLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    network_load_balancer_id = 'network_load_balancer_id_example' # str | The unique ID of the Network Load Balancer.
    network_load_balancer_flow_log = ionoscloud.FlowLog() # FlowLog | The Flow Log to create.
    try:
        # Create a NLB Flow Log
        api_response = api_instance.datacenters_networkloadbalancers_flowlogs_post(datacenter_id, network_load_balancer_id, network_load_balancer_flow_log)
        print(api_response)
    except ApiException as e:
        print('Exception when calling NetworkLoadBalancersApi.datacenters_networkloadbalancers_flowlogs_post: %s\n' % e)
```

#### Parameters

| Name                                   | Type                                         | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| -------------------------------------- | -------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**                     | **str**                                      | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **network\_load\_balancer\_id**        | **str**                                      | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **network\_load\_balancer\_flow\_log** | [**FlowLog**](/python-sdk/models/flowlog.md) | The Flow Log to create.                                                                                                                                                                                                                                                                                                                                                                                                                  |                                |
| **pretty**                             | **bool**                                     | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                              | **int**                                      | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**                | **int**                                      | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**FlowLog**](/python-sdk/models/flowlog.md)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## **datacenters\_networkloadbalancers\_flowlogs\_put**

> FlowLog datacenters\_networkloadbalancers\_flowlogs\_put(datacenter\_id, network\_load\_balancer\_id, flow\_log\_id, network\_load\_balancer\_flow\_log, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Modify NLB Flow Logs

Modify the specified Network Load Balancer Flow Log.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.NetworkLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    network_load_balancer_id = 'network_load_balancer_id_example' # str | The unique ID of the Network Load Balancer.
    flow_log_id = 'flow_log_id_example' # str | The unique ID of the Flow Log.
    network_load_balancer_flow_log = ionoscloud.FlowLogPut() # FlowLogPut | The modified NLB Flow Log.
    try:
        # Modify NLB Flow Logs
        api_response = api_instance.datacenters_networkloadbalancers_flowlogs_put(datacenter_id, network_load_balancer_id, flow_log_id, network_load_balancer_flow_log)
        print(api_response)
    except ApiException as e:
        print('Exception when calling NetworkLoadBalancersApi.datacenters_networkloadbalancers_flowlogs_put: %s\n' % e)
```

#### Parameters

| Name                                   | Type                                               | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| -------------------------------------- | -------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**                     | **str**                                            | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **network\_load\_balancer\_id**        | **str**                                            | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **flow\_log\_id**                      | **str**                                            | The unique ID of the Flow Log.                                                                                                                                                                                                                                                                                                                                                                                                           |                                |
| **network\_load\_balancer\_flow\_log** | [**FlowLogPut**](/python-sdk/models/flowlogput.md) | The modified NLB Flow Log.                                                                                                                                                                                                                                                                                                                                                                                                               |                                |
| **pretty**                             | **bool**                                           | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                              | **int**                                            | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**                | **int**                                            | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**FlowLog**](/python-sdk/models/flowlog.md)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## **datacenters\_networkloadbalancers\_forwardingrules\_delete**

> datacenters\_networkloadbalancers\_forwardingrules\_delete(datacenter\_id, network\_load\_balancer\_id, forwarding\_rule\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Delete NLB forwarding rules

Delete the specified Network Load Balancer forwarding rule.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.NetworkLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    network_load_balancer_id = 'network_load_balancer_id_example' # str | The unique ID of the Network Load Balancer.
    forwarding_rule_id = 'forwarding_rule_id_example' # str | The unique ID of the forwarding rule.
    try:
        # Delete NLB forwarding rules
        api_instance.datacenters_networkloadbalancers_forwardingrules_delete(datacenter_id, network_load_balancer_id, forwarding_rule_id)
    except ApiException as e:
        print('Exception when calling NetworkLoadBalancersApi.datacenters_networkloadbalancers_forwardingrules_delete: %s\n' % e)
```

#### Parameters

| Name                            | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ------------------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**              | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **network\_load\_balancer\_id** | **str**  | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **forwarding\_rule\_id**        | **str**  | The unique ID of the forwarding rule.                                                                                                                                                                                                                                                                                                                                                                                                    |                                |
| **pretty**                      | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                       | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**         | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

void (empty response body)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_networkloadbalancers\_forwardingrules\_find\_by\_forwarding\_rule\_id**

> NetworkLoadBalancerForwardingRule datacenters\_networkloadbalancers\_forwardingrules\_find\_by\_forwarding\_rule\_id(datacenter\_id, network\_load\_balancer\_id, forwarding\_rule\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Retrieve NLB forwarding rules

Retrieve the specified Network Load Balance forwarding rule.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.NetworkLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    network_load_balancer_id = 'network_load_balancer_id_example' # str | The unique ID of the Network Load Balancer.
    forwarding_rule_id = 'forwarding_rule_id_example' # str | The unique ID of the forwarding rule.
    try:
        # Retrieve NLB forwarding rules
        api_response = api_instance.datacenters_networkloadbalancers_forwardingrules_find_by_forwarding_rule_id(datacenter_id, network_load_balancer_id, forwarding_rule_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling NetworkLoadBalancersApi.datacenters_networkloadbalancers_forwardingrules_find_by_forwarding_rule_id: %s\n' % e)
```

#### Parameters

| Name                            | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ------------------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**              | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **network\_load\_balancer\_id** | **str**  | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **forwarding\_rule\_id**        | **str**  | The unique ID of the forwarding rule.                                                                                                                                                                                                                                                                                                                                                                                                    |                                |
| **pretty**                      | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                       | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**         | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**NetworkLoadBalancerForwardingRule**](/python-sdk/models/networkloadbalancerforwardingrule.md)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_networkloadbalancers\_forwardingrules\_get**

> NetworkLoadBalancerForwardingRules datacenters\_networkloadbalancers\_forwardingrules\_get(datacenter\_id, network\_load\_balancer\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

List NLB forwarding rules

List the forwarding rules for the specified Network Load Balancer.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.NetworkLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    network_load_balancer_id = 'network_load_balancer_id_example' # str | The unique ID of the Network Load Balancer.
    try:
        # List NLB forwarding rules
        api_response = api_instance.datacenters_networkloadbalancers_forwardingrules_get(datacenter_id, network_load_balancer_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling NetworkLoadBalancersApi.datacenters_networkloadbalancers_forwardingrules_get: %s\n' % e)
```

#### Parameters

| Name                            | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ------------------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**              | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **network\_load\_balancer\_id** | **str**  | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **pretty**                      | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                       | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**         | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**NetworkLoadBalancerForwardingRules**](/python-sdk/models/networkloadbalancerforwardingrules.md)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_networkloadbalancers\_forwardingrules\_patch**

> NetworkLoadBalancerForwardingRule datacenters\_networkloadbalancers\_forwardingrules\_patch(datacenter\_id, network\_load\_balancer\_id, forwarding\_rule\_id, network\_load\_balancer\_forwarding\_rule\_properties, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Partially modify NLB forwarding rules

Update the properties of the specified Network Load Balancer forwarding rule.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.NetworkLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    network_load_balancer_id = 'network_load_balancer_id_example' # str | The unique ID of the Network Load Balancer.
    forwarding_rule_id = 'forwarding_rule_id_example' # str | The unique ID of the forwarding rule.
    network_load_balancer_forwarding_rule_properties = ionoscloud.NetworkLoadBalancerForwardingRuleProperties() # NetworkLoadBalancerForwardingRuleProperties | The properties of the forwarding rule to be updated.
    try:
        # Partially modify NLB forwarding rules
        api_response = api_instance.datacenters_networkloadbalancers_forwardingrules_patch(datacenter_id, network_load_balancer_id, forwarding_rule_id, network_load_balancer_forwarding_rule_properties)
        print(api_response)
    except ApiException as e:
        print('Exception when calling NetworkLoadBalancersApi.datacenters_networkloadbalancers_forwardingrules_patch: %s\n' % e)
```

#### Parameters

| Name                                                      | Type                                                                                                                 | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| --------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**                                        | **str**                                                                                                              | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **network\_load\_balancer\_id**                           | **str**                                                                                                              | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **forwarding\_rule\_id**                                  | **str**                                                                                                              | The unique ID of the forwarding rule.                                                                                                                                                                                                                                                                                                                                                                                                    |                                |
| **network\_load\_balancer\_forwarding\_rule\_properties** | [**NetworkLoadBalancerForwardingRuleProperties**](/python-sdk/models/networkloadbalancerforwardingruleproperties.md) | The properties of the forwarding rule to be updated.                                                                                                                                                                                                                                                                                                                                                                                     |                                |
| **pretty**                                                | **bool**                                                                                                             | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                                                 | **int**                                                                                                              | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**                                   | **int**                                                                                                              | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**NetworkLoadBalancerForwardingRule**](/python-sdk/models/networkloadbalancerforwardingrule.md)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_networkloadbalancers\_forwardingrules\_post**

> NetworkLoadBalancerForwardingRule datacenters\_networkloadbalancers\_forwardingrules\_post(datacenter\_id, network\_load\_balancer\_id, network\_load\_balancer\_forwarding\_rule, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Create a NLB Forwarding Rule

Creates a forwarding rule for the specified Network Load Balancer.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.NetworkLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    network_load_balancer_id = 'network_load_balancer_id_example' # str | The unique ID of the Network Load Balancer.
    network_load_balancer_forwarding_rule = ionoscloud.NetworkLoadBalancerForwardingRule() # NetworkLoadBalancerForwardingRule | The forwarding rule to create.
    try:
        # Create a NLB Forwarding Rule
        api_response = api_instance.datacenters_networkloadbalancers_forwardingrules_post(datacenter_id, network_load_balancer_id, network_load_balancer_forwarding_rule)
        print(api_response)
    except ApiException as e:
        print('Exception when calling NetworkLoadBalancersApi.datacenters_networkloadbalancers_forwardingrules_post: %s\n' % e)
```

#### Parameters

| Name                                          | Type                                                                                             | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| --------------------------------------------- | ------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**                            | **str**                                                                                          | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **network\_load\_balancer\_id**               | **str**                                                                                          | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **network\_load\_balancer\_forwarding\_rule** | [**NetworkLoadBalancerForwardingRule**](/python-sdk/models/networkloadbalancerforwardingrule.md) | The forwarding rule to create.                                                                                                                                                                                                                                                                                                                                                                                                           |                                |
| **pretty**                                    | **bool**                                                                                         | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                                     | **int**                                                                                          | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**                       | **int**                                                                                          | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**NetworkLoadBalancerForwardingRule**](/python-sdk/models/networkloadbalancerforwardingrule.md)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## **datacenters\_networkloadbalancers\_forwardingrules\_put**

> NetworkLoadBalancerForwardingRule datacenters\_networkloadbalancers\_forwardingrules\_put(datacenter\_id, network\_load\_balancer\_id, forwarding\_rule\_id, network\_load\_balancer\_forwarding\_rule, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Modify NLB forwarding rules

Modify the specified Network Load Balancer forwarding rule.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.NetworkLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    network_load_balancer_id = 'network_load_balancer_id_example' # str | The unique ID of the Network Load Balancer.
    forwarding_rule_id = 'forwarding_rule_id_example' # str | The unique ID of the forwarding rule.
    network_load_balancer_forwarding_rule = ionoscloud.NetworkLoadBalancerForwardingRulePut() # NetworkLoadBalancerForwardingRulePut | The modified NLB forwarding rule.
    try:
        # Modify NLB forwarding rules
        api_response = api_instance.datacenters_networkloadbalancers_forwardingrules_put(datacenter_id, network_load_balancer_id, forwarding_rule_id, network_load_balancer_forwarding_rule)
        print(api_response)
    except ApiException as e:
        print('Exception when calling NetworkLoadBalancersApi.datacenters_networkloadbalancers_forwardingrules_put: %s\n' % e)
```

#### Parameters

| Name                                          | Type                                                                                                   | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| --------------------------------------------- | ------------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**                            | **str**                                                                                                | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **network\_load\_balancer\_id**               | **str**                                                                                                | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **forwarding\_rule\_id**                      | **str**                                                                                                | The unique ID of the forwarding rule.                                                                                                                                                                                                                                                                                                                                                                                                    |                                |
| **network\_load\_balancer\_forwarding\_rule** | [**NetworkLoadBalancerForwardingRulePut**](/python-sdk/models/networkloadbalancerforwardingruleput.md) | The modified NLB forwarding rule.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **pretty**                                    | **bool**                                                                                               | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                                     | **int**                                                                                                | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**                       | **int**                                                                                                | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**NetworkLoadBalancerForwardingRule**](/python-sdk/models/networkloadbalancerforwardingrule.md)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## **datacenters\_networkloadbalancers\_get**

> NetworkLoadBalancers datacenters\_networkloadbalancers\_get(datacenter\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number, offset=offset, limit=limit)

List Network Load Balancers

List all the Network Load Balancers within the data center.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.NetworkLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    try:
        # List Network Load Balancers
        api_response = api_instance.datacenters_networkloadbalancers_get(datacenter_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling NetworkLoadBalancersApi.datacenters_networkloadbalancers_get: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**      | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |
[...]
